<?php

    $this->setPageTitle(LANG_USERS_EDIT_PROFILE);

    $this->addBreadcrumb(LANG_USERS, href_to('users'));
    $this->addBreadcrumb($profile['nickname'], href_to('users', $id));

    $this->addToolButton(array(
        'class' => 'save',
        'title' => LANG_SAVE,
        'href'  => "javascript:icms.forms.submit()"
    ));

    $this->addToolButton(array(
        'class' => 'cancel',
        'title' => LANG_CANCEL,
        'href'  => href_to('users', $id)
    ));

    $this->addBreadcrumb(LANG_USERS_EDIT_PROFILE);

?>

<?php $this->renderChild('profile_edit_header', array('profile'=>$profile)); ?>

<?php
    $this->renderForm($form, $profile, array(
        'action' => '',
        'method' => 'post',
        'toolbar' => false
    ), $errors);
?>
<?php
	if (cmsUser::isAdmin()){ ?>
	<br/>
	<div id="karma">
	<input type="text" id="pluskarma"> Добавить кармы </input>
	<button type="submit" id = "addkarma" onclick="addkarma()"> таки добавить </button>
	<br/>
	</div>
	<div id="rating">
	<br/>
	<input type="text" id = "plusrating"> Добавить рейтинга </input>
	<button type="submit" id = "addrating" onclick="addrating()"> таки добавить </button>
	<br/>
	<br/>
	</div>
<?php } ?>

	<script>
	
	
	 function addkarma() {
	console.log($('#pluskarma').val());
	$.post('/rating/addkarma', 
	{profile:<?php echo $profile['id'] ?>, 
	points:$('#pluskarma').val()});
	$('#karma').hide()
	}
	 
 	function addrating() {
	console.log($('#plusrating').val());
	$.post('/rating/addrating', 
	{profile:<?php echo $profile['id'] ?>, 
	score:$('#plusrating').val()});
	$('#rating').hide()

	}
	</script> 
	<style>
	#pluskarma {
	border: 2px gray solid;
	width: 70px;
	}
	#plusrating {
	border: 2px gray solid;
	width: 70px;
	}
	</style>
